#!/bin/bash
#
# rserver.sh   starts rserver with common options
#
#
ulimit -c unlimited
ulimit -n 65535
RSERVERDIR=/usr/local/rserver
SLEEPSECS=2
LOGFILE=/var/log/rserver.log

modprobe sctp

message() {
    echo "$1" >&2
    if test "x$LOGFILE" != "x" ; then
        echo "rserver[$$]: $1" >> "$LOGFILE"
    fi
}

run_rserver()
{
	while :; do

		cd ${RSERVERDIR}

		${RSERVERDIR}/rserver --debug 2 \
		--address 127.0.0.1 \
		--port 10000 \
		--sqlite \
		--max-calls 400 \
		-f
	
		EXITSTATUS=$?

		message "Rserver ended with exit status $EXITSTATUS"

	        if test "x$EXITSTATUS" = "x0" ; then
        	    # Properly shutdown....
	            message "Rserver shutdown normally."
        	    exit 0
		fi

	        message "Automatically restarting Rserver."
        	sleep $SLEEPSECS

	done
}

run_rserver &
